#include <EEPROM.h>
#include "eepromrw.h"
#include "gatec.h"
#include "gateEE.h"

const baset        *pee = 0;              // pointer to eeprom structure

void setup() {
  int i;
  delay(5000);
  Serial.begin(57600);
  eepromw((uint32_t)(&(pee->key[0])), base.key[0], sizeof(base));    
    
  for (uint16_t i=0; i<sizeof(base); i++) {
    Serial.print("address = ");
    Serial.print(i);
    Serial.print("    data = ");
    Serial.println(EEPROM.read(i),HEX);
  }
}

void loop() {
  // put your main code here, to run repeatedly:

}
